> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a Verification

Retrieve an AccountVerificationSession object by its ID.

## Path Parameters

## Returns

Returns an AccountVerificationSession object.

```bash cURL theme={null}
curl https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/verification_sessions/avf_9WBBA6TH7n7iX \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const response = await method
  .accounts('acc_yVf3mkzbhz9tj')
  .verificationSessions
  .retrieve('avf_9WBBA6TH7n7iX');
```

```python Python theme={null}
response = method
  .accounts('acc_yVf3mkzbhz9tj')
  .verification_sessions
  .retrieve('avf_9WBBA6TH7n7iX')
```

```json theme={null}
{
  "id": "avf_DjkdemgTQfqRD",
  "status": "pending",
  "error": null,
  "type": "pre_auth",
  "pre_auth": {
      "exp_year": "xxxx",
      "exp_month": "xx",
      "exp_check": null,
      "cvv": null,
      "cvv_check": null,
      "billing_zip_code": "xxxxx",
      "billing_zip_code_check": null,
      "number": "xxxxxxxxxxxxxxxx",
      "pre_auth_check": null
  },
  "created_at": "2024-03-14T02:02:24.862Z",
  "updated_at": "2024-03-14T02:02:24.862Z"
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.